%global		gem_name	racc

Summary:	LALR(1) parser generator
Name:			rubygem-%{gem_name}
Version:	1.6.2
Release:	4%{?dist}
License:	BSD
URL:			https://github.com/tenderlove/racc
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
# created by ./racc-create-tarball-missing-files.sh %%version
Source1:	rubygem-%{gem_name}-%{version}-missing-files.tar.gz

BuildRequires:	gcc, rubygems-devel, ruby-devel, rubygem(test-unit)

%description
Racc is a LALR(1) parser generator.
It is written in Ruby itself, and generates Ruby program.

%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
Documentation for %{name}.



%prep
%autosetup -n %{gem_name}-%{version} -a 1

mv ../%{gem_name}-%{version}.gemspec .

grep -rl /usr/local . | xargs -r sed -i -e 's|/usr/local|/usr|'

pushd %{gem_name}-%{version}
for f in \
	sample/calc-ja.y \
	%{nil}
do
	touch -r $f $f.stamp
	iconv -f EUC-JP -t UTF-8 $f > $f.tmp
	mv $f.tmp $f
	touch -r $f.stamp $f
	rm -f $f.stamp
done
popd

%build
gem build %{gem_name}-%{version}.gemspec
%gem_install



%install
mkdir -p %{buildroot}%{_prefix}
cp -a .%{_prefix}/*	%{buildroot}%{_prefix}/

cp -a ./%{gem_name}-%{version}/sample %{buildroot}%{gem_instdir}

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/* %{buildroot}%{gem_extdir_mri}/
rm -f %{buildroot}%{gem_extdir_mri}/{gem_make.out,mkmf.log}

rm -f %{buildroot}%{gem_cache}
pushd %{buildroot}%{gem_instdir}
rm -rf ext/ fastcache/ misc/ tasks/ test/ DEPENDS Manifest.txt Rakefile setup.rb

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x



%check
cp -a %{gem_name}-%{version}/* .%{gem_instdir}
pushd .%{gem_instdir}

LANG=C.utf8
true sed -i.match test/test_racc_command.rb -e '\@assert_output_unchanged@d'

ruby -Ilib:test:test/lib:. -e "gem 'test-unit' ; require 'helper' ; Dir.glob('test/test_*.rb').each {|f| require f}"
popd



%files
%dir	%{gem_instdir}
%license	%{gem_instdir}/COPYING
%doc	%lang(ja)	%{gem_instdir}/README.ja.rdoc
%doc	%{gem_instdir}/README.rdoc
%doc	%{gem_instdir}/ChangeLog
%{_bindir}/racc
%{gem_extdir_mri}
%{gem_instdir}/bin
%{gem_libdir}
%{gem_spec}

%files	doc
%doc	%{gem_docdir}
%doc	%{gem_instdir}/TODO
%doc	%{gem_instdir}/doc
%doc	%{gem_instdir}/sample



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 09 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.6.2-1
- Initial
